Name:      ibus
Summary:   A next generation input framework
Version:   1.5.30
Release:   %mkrel 2
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/ibus/ibus/wiki
Source0:   https://github.com/ibus/ibus/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:   macros.ibus

BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-python) >= 0.83.0
BuildRequires: pkgconfig(dbusmenu-glib-0.4)
BuildRequires: pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires: pkgconfig(dconf) >= 0.7.5
BuildRequires: pkgconfig(gdk-2.0)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.32.0
BuildRequires: pkgconfig(glib-2.0) >= 2.32.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.32.0
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires: pkgconfig(gthread-2.0) >= 2.32.0
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libnotify) >= 0.7
BuildRequires: pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires: pkgconfig(wayland-client) >= 1.2.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(python3)
BuildRequires: gettext-devel
BuildRequires: gtk-doc
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: dconf
BuildRequires: cldr-emoji-annotation
BuildRequires: unicode-emoji
BuildRequires: unicode-ucd
BuildRequires: libx11-common
Requires:	%{name}-ui
Requires:	python3-gobject
Requires:	python3-dbus
Requires:	python3-pyxdg
Requires:	iso-codes
Requires:	librsvg
Requires:	%{name}-gtk
Requires:	%{name}-gtk3
Requires:	%{name}-dicts-emoji
Requires:	dconf

%description
IBus is a next generation input framework.

%define api 1.0
%define major 5
%define libname %mklibname %name %api %major

%package -n %libname
Summary:    Shared libraries for %{name}
Group:      System/Internationalization

%description -n %libname
IBus shared libraries.

%define girname %mklibname ibus-gir %api

%package -n %girname
Summary:    GObject introspection interface library for ibus
Group:      System/Internationalization
Requires:   %{libname} = %{version}

%description -n %girname
GObject introspection interface library for ibus.

%package    devel
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}

%description devel
IBus development package: static libraries, header files, and the like.

%package    ui-gtk3
Summary:    GTK+ 3.0 UI for IBus
Group:      System/Internationalization
Provides:   ibus-ui
Requires:   %{name} = %{version}
Recommends: %{name}-gtk3 = %version

%description ui-gtk3
GTK+ 3.0 UI for IBus.

%package    gtk
Summary:    IBus gtk module
Group:      System/Internationalization
Requires:   ibus = %{version}

%description gtk
IBus gtk module.

%package    gtk3
Summary:    IBus gtk3 module
Group:      System/Internationalization
Requires:   ibus = %{version}

%description gtk3
IBus gtk3 module.

%package    gtk4
Summary:    IBus gtk4 module
Group:      System/Internationalization
Requires:   ibus = %{version}

%description gtk4
IBus gtk4 module.

%package    dicts-emoji
Summary:    IBus emoji dictionaries
Group:      System/Internationalization
BuildArch:  noarch

%description dicts-emoji
IBus emoji dictionaries.

%prep
%autosetup -p1

%build
%configure \
	--enable-vala=yes \
	--enable-gtk3 \
	--enable-gtk4 \
	--enable-dconf \
	--with-python=python3 \
	--disable-python2 \
	--disable-python-library \
	--disable-dbus-python-check \
	--enable-wayland

%make_build

%install
%make_install

# install rpm macro
mkdir -p %buildroot%{_rpmmacrodir}/
install -m0644 %{SOURCE1} %buildroot%{_rpmmacrodir}/macros.%name

find %buildroot -name '*.la' | xargs rm
rm -f %buildroot%{_sysconfdir}/xdg/autostart/ibus.desktop

%if 0
# Create a Plasma (and LXQt and Cutefish and ...) friendly version
# of the systemd service...
sed -e 's,generic sessions,Qt based desktops,;s,ibus-daemon,ibus-daemon --xim --desktop=kde --panel=/usr/libexec/kimpanel-ibus-panel --emoji-extension=/usr/bin/plasma-emojier,' %{buildroot}%{_userunitdir}/org.freedesktop.IBus.session.generic.service >%{buildroot}%{_userunitdir}/org.freedesktop.IBus.session.KDE.service
%endif

%find_lang %{name}10

%files -f %{name}10.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_sysconfdir}/dconf/db/ibus.d/00-upstream-settings
%{_sysconfdir}/dconf/profile/ibus
%{_bindir}/*
%{_libexecdir}/ibus-dconf
%{_libexecdir}/ibus-engine-simple
%{_libexecdir}/ibus-extension-gtk3
%{_libexecdir}/ibus-x11
%{_libexecdir}/ibus-ui-emojier
%{_libexecdir}/ibus-wayland
%{_libexecdir}/ibus-portal
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_datadir}/applications/*.desktop
%{_datadir}/ibus/*
%{_datadir}/bash-completion/completions/ibus.bash
%{_datadir}/GConf/gsettings/ibus.convert
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.gschema.xml
%{_datadir}/dbus-1/services/org.freedesktop.IBus.service
%{_datadir}/dbus-1/services/org.freedesktop.portal.IBus.service
%{_datadir}/gettext/its/ibus.*
%{_iconsdir}/*/*/*/ibus*
%{python3_sitearch}/gi/overrides/IBus.*
%{python3_sitearch}/gi/overrides/__pycache__/IBus.*
%exclude %{_datadir}/ibus/component/gtkpanel.xml
%exclude %{_datadir}/ibus/dicts/emoji-*.dict
%{_sysconfdir}/xdg/Xwayland-session.d/10-ibus-x11
%{_userunitdir}/gnome-session.target.wants/org.freedesktop.IBus.session.GNOME.service
%{_userunitdir}/org.freedesktop.IBus.session.*.service

%files ui-gtk3
%{_libexecdir}/ibus-ui-gtk3
%{_datadir}/ibus/component/gtkpanel.xml

%files -n %{libname}
%{_libdir}/libibus-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/*.typelib

%files gtk
%{_libdir}/gtk-2.0/*/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/*.so

%files gtk4
%{_libdir}/gtk-4.0/*/immodules/*.so

%files dicts-emoji
%{_datadir}/ibus/dicts/emoji-*.dict

%files devel
%{_includedir}/ibus-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/ibus
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps
%{_rpmmacrodir}/macros.%name


%changelog
* Fri May 24 2024 daviddavid <daviddavid> 1.5.30-2.mga10
+ Revision: 2066897
- move bash completion file from '/etc/bash_completion.d' to
  '/usr/share/bash-completion/completions'

* Tue May 14 2024 daviddavid <daviddavid> 1.5.30-1.mga10
+ Revision: 2064203
- new version: 1.5.30

* Thu Feb 15 2024 daviddavid <daviddavid> 1.5.29-1.mga10
+ Revision: 2041417
- new version: 1.5.29

* Tue Feb 21 2023 kekepower <kekepower> 1.5.28-1.mga10
+ Revision: 1944517
- Update to version 1.5.28

* Sat Jan 07 2023 wally <wally> 1.5.27-2.mga9
+ Revision: 1930993
- install rpm macros into /usr/lib/rpm/macros.d

* Mon Aug 22 2022 kekepower <kekepower> 1.5.27-1.mga9
+ Revision: 1879433
- Update to version 1.5.27

* Mon Mar 14 2022 kekepower <kekepower> 1.5.26-1.mga9
+ Revision: 1790901
- Update to version 1.5.26

* Sun Feb 13 2022 joequant <joequant> 1.5.25-3.mga9
+ Revision: 1773929
- update to 3.10

* Thu Feb 03 2022 joequant <joequant> 1.5.25-2.mga9
+ Revision: 1771179
- update with new opencc

* Mon Aug 23 2021 kekepower <kekepower> 1.5.25-1.mga9
+ Revision: 1742437
- Update to version 1.5.25

* Tue Mar 16 2021 tmb <tmb> 1.5.24-2.mga9
+ Revision: 1703818
- rebuild for python 3.9

* Thu Feb 25 2021 kekepower <kekepower> 1.5.24-1.mga9
+ Revision: 1690875
- Update to version 1.5.24

* Wed Dec 16 2020 umeabot <umeabot> 1.5.23-2.mga8
+ Revision: 1658574
- Rebuild for new Qt5

* Fri Nov 20 2020 daviddavid <daviddavid> 1.5.23-1.mga8
+ Revision: 1647810
- new version: 1.5.23
- fix build failure of emoji-*.dict with CLDR 38
- fix build failure with Vala 0.50

* Mon Aug 17 2020 martinw <martinw> 1.5.22-4.mga8
+ Revision: 1614558
- remove unnecessary BR on obsolete libappindicator

* Thu Apr 23 2020 daviddavid <daviddavid> 1.5.22-3.mga8
+ Revision: 1571155
- update ibus-desktop-testing-runner for su command

* Thu Mar 12 2020 daviddavid <daviddavid> 1.5.22-2.mga8
+ Revision: 1555828
- backport upstream patch to fix ibus with GNOME 3.36.0
  * https://gitlab.gnome.org/GNOME/gnome-shell/issues/2341

* Fri Feb 21 2020 kekepower <kekepower> 1.5.22-1.mga8
+ Revision: 1549165
- Update to version 1.5.22

* Fri Feb 21 2020 daviddavid <daviddavid> 1.5.21-5.mga8
+ Revision: 1547706
- make ibus-dicts-emoji as a noarch pkg

* Thu Feb 20 2020 daviddavid <daviddavid> 1.5.21-4.mga8
+ Revision: 1547646
- plasma-desktop since 5.18.0 introduced a new ibus-ui-emojier-plasma module
  who needs only the emoji dictionaries so let's move these files in a
  separate subpakage ibus-dicts-emoji, thus plasma users will not have to
  install all unneeded/unwanted ibus/gtk stuff

* Sun Feb 16 2020 umeabot <umeabot> 1.5.21-3.mga8
+ Revision: 1531435
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 13 2019 daviddavid <daviddavid> 1.5.21-2.mga8
+ Revision: 1440312
- add upstream patch to fix CVE-2019-14822 (mga#25434)
- enable Python 3 support
- disable Python 2 support

* Thu Aug 29 2019 kekepower <kekepower> 1.5.21-1.mga8
+ Revision: 1434975
- Update to version 1.5.21

* Sun Mar 10 2019 wally <wally> 1.5.20-1.mga7
+ Revision: 1373676
- new version 1.5.20
- update url
- drop unneeded post/postun requires

* Sun Sep 23 2018 umeabot <umeabot> 1.5.19-2.mga7
+ Revision: 1298252
- Mageia 7 Mass Rebuild

* Sat Aug 11 2018 kekepower <kekepower> 1.5.19-1.mga7
+ Revision: 1251012
- Update to version 1.5.19

* Mon Apr 02 2018 kekepower <kekepower> 1.5.18-1.mga7
+ Revision: 1214776
- Update to version 1.5.18

* Thu Feb 15 2018 kekepower <kekepower> 1.5.17-2.mga7
+ Revision: 1201321
- Added BR for python2-devel

* Wed Feb 14 2018 kekepower <kekepower> 1.5.17-1.mga7
+ Revision: 1201285
- Update to version 1.5.17

* Fri May 26 2017 yochenhsieh <yochenhsieh> 1.5.16-3.mga6
+ Revision: 1104792
- Add hard dependency for ibus-gtk3

* Thu May 25 2017 yochenhsieh <yochenhsieh> 1.5.16-2.mga6
+ Revision: 1104536
- Enable wayland support

* Wed May 17 2017 yochenhsieh <yochenhsieh> 1.5.16-1.mga6
+ Revision: 1102471
- New version 1.5.16

* Fri Aug 12 2016 yochenhsieh <yochenhsieh> 1.5.14-1.mga6
+ Revision: 1046077
- New version 1.5.14

* Sun Mar 06 2016 yochenhsieh <yochenhsieh> 1.5.13-1.mga6
+ Revision: 986611
- New version 1.5.13

* Sat Jan 23 2016 yochenhsieh <yochenhsieh> 1.5.12-1.mga6
+ Revision: 926660
- New version 1.5.12

* Tue Jul 28 2015 yochenhsieh <yochenhsieh> 1.5.11-2.mga6
+ Revision: 858537
- Add BuildRequires Qt5Gui to enable full path of engine icon in KDE5

* Tue Jul 28 2015 yochenhsieh <yochenhsieh> 1.5.11-1.mga6
+ Revision: 858484
- New version 1.5.11

* Mon Jul 06 2015 yochenhsieh <yochenhsieh> 1.5.10-3.mga6
+ Revision: 851835
- Enable appindicator support for Plasma 5.

* Mon Jun 29 2015 wally <wally> 1.5.10-2.mga6
+ Revision: 847520
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 yochenhsieh <yochenhsieh> 1.5.10-1.mga6
+ Revision: 837623
- New version 1.5.10

* Mon Apr 27 2015 tmb <tmb> 1.5.8-6.mga5
+ Revision: 820796
- Do not fail ibus-setup when en_US.UTF-8 is not installed
- Fix not to SEGV ibus-ui-gtk3 with wrong 'preload-engines' value
- Increase dbus timeout to 15 seconds

* Wed Dec 17 2014 yochenhsieh <yochenhsieh> 1.5.8-5.mga5
+ Revision: 803759
- add requires for dconf to fix ibus-setup not saving settings(mga#14508)

* Wed Oct 15 2014 umeabot <umeabot> 1.5.8-4.mga5
+ Revision: 744946
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.5.8-3.mga5
+ Revision: 724910
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.5.8-2.mga5
+ Revision: 680408
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 07 2014 fwang <fwang> 1.5.8-1.mga5
+ Revision: 660753
- 1.8.8

* Sun Jul 20 2014 colin <colin> 1.5.7-4.mga5
+ Revision: 654753
- Drop RPM scripts for immodules (handled by filetriggers)

* Sat May 31 2014 pterjan <pterjan> 1.5.7-3.mga5
+ Revision: 628258
- Rebuild for new Python

* Wed May 07 2014 yochenhsieh <yochenhsieh> 1.5.7-2.mga5
+ Revision: 620978
- Add requires ibus-gtk immodule.

* Tue May 06 2014 yochenhsieh <yochenhsieh> 1.5.7-1.mga5
+ Revision: 620392
- new version 1.5.7
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Tue Feb 04 2014 fwang <fwang> 1.5.5-1.mga5
+ Revision: 581532
- new version 1.5.5

* Tue Nov 19 2013 fwang <fwang> 1.5.4-4.mga4
+ Revision: 551875
- add upstream patch to fix CVE-2013-4509

* Sat Oct 19 2013 umeabot <umeabot> 1.5.4-2.mga4
+ Revision: 535871
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.5.4-1.mga4
+ Revision: 482749
- new version 1.5.4

* Fri Jul 26 2013 fwang <fwang> 1.5.3-1.mga4
+ Revision: 458502
- drop wrong modification
- update file list
- br dconf binary
- br gconf for gsettings binary
- update br
- new version 1.5.3

* Thu May 30 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 433363
- update file list
- update file list
- fix str fmt
- new version 1.5.2

* Sun Jan 13 2013 fwang <fwang> 1.5.1-2.mga3
+ Revision: 370628
- br vala-devel
- enable vala
- try fixing build
- new version 1.5.1
- new version 1.5.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 1.4.99.20121109-1.mga3
+ Revision: 316914
- new version 1.4.99.20121109

* Tue Oct 16 2012 fwang <fwang> 1.4.99.20121006-5.mga3
+ Revision: 306898
- disable macro for now to wait updates on gsettings syntax

* Mon Oct 15 2012 fwang <fwang> 1.4.99.20121006-4.mga3
+ Revision: 306008
- turn the macro into glib settings

* Mon Oct 15 2012 fwang <fwang> 1.4.99.20121006-3.mga3
+ Revision: 305987
- move suggest into gtk3 panel
- add requires on main pkg

* Mon Oct 15 2012 fwang <fwang> 1.4.99.20121006-2.mga3
+ Revision: 305982
- move out xml description too
- split out gtk3 ui

* Sun Oct 07 2012 fwang <fwang> 1.4.99.20121006-1.mga3
+ Revision: 303129
- new version 1.4.99.20121006

* Wed Sep 19 2012 fwang <fwang> 1.4.99.20120917-2.mga3
+ Revision: 296118
- python-gtk2 is not required

* Wed Sep 19 2012 fwang <fwang> 1.4.99.20120917-1.mga3
+ Revision: 296113
- add more br
- br GConf2 for  gsettings-schema-convert
- new version 1.4.99.20120917
- new version 1.4.99.20120914
- new version 1.4.99.20120822
+ blino <blino>
- switch to dconf (over gconf2)
- package ibus-engine-simple and bash completion
- gtk ui is now named ibus-ui-gtk3
- major is now 5
- explicitely enable python lib
- buildrequire vala + tools
- 1.4.99.20120712 (1.5 pre)
- sync some patches from Fedora (Takao Fujiwara)

* Sun Feb 26 2012 fwang <fwang> 1.4.1-1.mga2
+ Revision: 215103
- update pkgconfig path
- new version 1.4.1

* Mon Jan 16 2012 blino <blino> 1.4.0-5.mga2
+ Revision: 196663
- run daemon through exec in the wrapper, to avoid useless shell fork
- fix detecting desktop and passing arguments and ibus-daemon wrapper

* Wed Jan 11 2012 fwang <fwang> 1.4.0-4.mga2
+ Revision: 194963
- foce  to use panel wrapper

* Sat Oct 01 2011 fwang <fwang> 1.4.0-3.mga2
+ Revision: 150653
- fix version tag

* Sun Sep 25 2011 fwang <fwang> 1.4.0-2.mga2
+ Revision: 147665
- split out gir files

* Sat Sep 24 2011 fwang <fwang> 1.4.0-1.mga2
+ Revision: 147461
- update file list
- update lan list
- update file list
- new version 1.4.0

* Fri Jul 01 2011 fwang <fwang> 1.3.9-4.mga2
+ Revision: 117185
- add wrapper for ibus-ui-kde
+ dmorgan <dmorgan>
- Simplify %%post and %%postun

* Wed Jun 15 2011 fwang <fwang> 1.3.9-3.mga2
+ Revision: 106393
- add gtk3 immodule
- add engine registration help macro

* Thu Mar 24 2011 boklm <boklm> 1.3.9-2.mga1
+ Revision: 76155
- rebuild for bug #497

* Sat Mar 12 2011 fwang <fwang> 1.3.9-1.mga1
+ Revision: 68593
- buildroot not required
- imported package ibus


* Tue Nov 30 2010 Funda Wang <fwang@mandriva.org> 1.3.9-1mdv2011.0
+ Revision: 603343
- update to new version 1.3.9

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 1.3.8-4mdv2011.0
+ Revision: 592393
- rebuild for python 2.7

  + Funda Wang <fwang@mandriva.org>
    - rebuild for py2.7

* Mon Oct 25 2010 Funda Wang <fwang@mandriva.org> 1.3.8-2mdv2011.0
+ Revision: 589215
- update file list
- update to new version 1.3.8

* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 1.3.7-1mdv2011.0
+ Revision: 568001
- update to new version 1.3.7

* Sun Aug 08 2010 Funda Wang <fwang@mandriva.org> 1.3.6-4mdv2011.0
+ Revision: 567667
- customize ibus:
  * add Ctrl_Shift as keybindings for switching input methods (compatible with windows)
  * default to show language bar if input methods is activated

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.3.6-2mdv2011.0
+ Revision: 563172
- rebuild for new gobject-introspection

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2011.0
+ Revision: 549908
- New version 1.3.6

* Thu Jun 24 2010 Funda Wang <fwang@mandriva.org> 1.3.5-1mdv2010.1
+ Revision: 548989
- New version 1.3.5

* Thu May 06 2010 Funda Wang <fwang@mandriva.org> 1.3.3-1mdv2010.1
+ Revision: 542826
- New version 1.3.3
  (fix crash of ibus-x11 and ibus-daemon)

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 1.3.2-2mdv2010.1
+ Revision: 538983
- add requires

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2010.1
+ Revision: 538823
- New version 1.3.2

* Sat Mar 27 2010 Funda Wang <fwang@mandriva.org> 1.2.1-2mdv2010.1
+ Revision: 528047
- bump rel
- update to new version 1.2.1

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100111-1mdv2010.1
+ Revision: 492370
- new version 1.2.0.20100111

* Fri Dec 25 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091225-1mdv2010.1
+ Revision: 482237
- new verison 1.2.0.20091225

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091215-1mdv2010.1
+ Revision: 479622
- new version 1.2.0.20091215

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091204-1mdv2010.1
+ Revision: 473929
- new version 1.2.0.20091204

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091124-1mdv2010.1
+ Revision: 469951
- new version 1.2.0.20091124

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091024-1mdv2010.1
+ Revision: 460557
- New version 1.2.0.20091024

* Sat Oct 17 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091014-1mdv2010.0
+ Revision: 457998
- add GConf2 requires
- New version 1.2.0.20091014
- fix problem when uninstalling (forget to call unregister gconf keys)

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090927-2mdv2010.0
+ Revision: 451924
- rebuild
- New version 1.2.0.20090927

* Wed Sep 16 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090915-1mdv2010.0
+ Revision: 443463
- New version 1.2.0.20090915

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090904-1mdv2010.0
+ Revision: 441963
- fix file list
- New version 1.2.0.20090904

* Thu Sep 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090828-1mdv2010.0
+ Revision: 426837
- New version 1.2.0.20090828

* Wed Aug 12 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090812-1mdv2010.0
+ Revision: 415454
- new version 1.2.0.20090812

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090810-1mdv2010.0
+ Revision: 414519
- new version 1.2.0.20090810

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090807-1mdv2010.0
+ Revision: 411063
- new version 1.2.0.20090807

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090806-1mdv2010.0
+ Revision: 410438
- new version 1.2.0.20090806

* Mon Aug 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090723-1mdv2010.0
+ Revision: 408349
- New version series 1.2.0

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090612-1mdv2010.0
+ Revision: 385510
- New version 1.1.0.20090612

* Thu Jun 11 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090609-1mdv2010.0
+ Revision: 385121
- New version 1.1.0.20090609

* Tue Jun 02 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090531-1mdv2010.0
+ Revision: 382249
- New version 1.1.0.20090531

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090508-1mdv2010.0
+ Revision: 374142
- New version  1.1.0.20090508

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090423-1mdv2010.0
+ Revision: 369418
- BR iso-codes
- BR dbus-python
- BR gtkdoc
- BR intltool
- New version 1.1.0.20090423

* Sat Mar 14 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090311-1mdv2009.1
+ Revision: 354799
- New version 1.1.0.20090311

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090306-1mdv2009.1
+ Revision: 351813
- New version 1.1.0.20090306

* Thu Feb 26 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090225-1mdv2009.1
+ Revision: 345039
- do not ship xdg auto start file
- New version 20090225

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090217-1mdv2009.1
+ Revision: 343569
- enable qt4
- New version 1.1.0.20090217

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090211-1mdv2009.1
+ Revision: 339993
- update to new version 1.1.0.20090211

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-3mdv2009.1
+ Revision: 337933
- la files are too confuse

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-2mdv2009.1
+ Revision: 337918
- devel should require main package

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 1.1.0.20090205-1mdv2009.1
+ Revision: 337899
- New version 1.1.0.20090205

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081023-3mdv2009.1
+ Revision: 318655
- rebuild for new python

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.1.20081023-2mdv2009.1
+ Revision: 302739
- rebuilt against new libxcb

  + Funda Wang <fwang@mandriva.org>
    - lower qt ver dependency, preparing backports for 2008.1

* Thu Oct 23 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081023-1mdv2009.1
+ Revision: 296653
- New version 0.1.1.20081023

* Fri Oct 17 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081016-2mdv2009.1
+ Revision: 294579
- the dependecy is solved within sub package

* Fri Oct 17 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081016-1mdv2009.1
+ Revision: 294562
- new version 0.1.1.20081016
- defaults to auto-hide panel
- adjust post requires
- fix requires

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081006-2mdv2009.1
+ Revision: 294130
- don't dispaly any desktop files

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081006-1mdv2009.1
+ Revision: 292370
- BR iso-codes
- New version 0.1.1.20081006

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080908-2mdv2009.0
+ Revision: 286324
- suggest gtk immodule

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080908-1mdv2009.0
+ Revision: 282552
- New version

* Fri Sep 05 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080901-1mdv2009.0
+ Revision: 281256
- New version 0.1.1.20080901
- add requires on python modules

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080830-1mdv2009.0
+ Revision: 277702
- update to new version 0.1.1.20080830

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080825-1mdv2009.0
+ Revision: 275713
- fix package layout
- import ibus


* Mon Aug 25 2008 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1.20080825.1mdv2009.0
- first package for Mandriva
